package me.unurled.srcore.utils;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.logger.slf4j.ComponentLogger;

/** The LoggerUtils class is a class that is used to log messages to the console. */
public class LoggerUtils {

  private static final java.util.logging.Logger logger = java.util.logging.Logger.getLogger("SR");
  private static final ComponentLogger componentLogger = ComponentLogger.logger("SR");

  private LoggerUtils() {}

  /**
   * Log a message to the console
   *
   * @param message the message to log
   */
  public static void log(String message) {
    logger.info(message);
  }

  /**
   * Log a warning to the console
   *
   * @param message the message to log
   */
  public static void warn(String message) {
    logger.warning(message);
  }

  /**
   * Log an error to the console
   *
   * @param message the message to log
   */
  public static void error(String message) {
    logger.severe(message);
  }

  /**
   * Log a message to the console
   *
   * @param message the message to log
   */
  public static void log(Component message) {
    componentLogger.info(message);
  }

  /**
   * Log a warning to the console
   *
   * @param message the message to log
   */
  public static void warn(Component message) {
    componentLogger.warn(message);
  }

  /**
   * Log an error to the console
   *
   * @param message the message to log
   */
  public static void error(Component message) {
    componentLogger.error(message);
  }
}
